Debian Security Advisory

DSA-186-1 log2mail -- buffer overflow

Date Reported:
01 Nov 2002
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2002-1251.
More information:

Enrico Zini discovered a buffer overflow in log2mail, a daemon for watching logfiles and sending lines with matching patterns via mail. The log2mail daemon is started upon system boot and runs as root. A specially crafted (remote) log message could overflow a static buffer, potentially leaving log2mail to execute arbitrary code as root.

This problem has been fixed in version the current stable distribution (woody) and in version 0.2.6-1 for the unstable distribution (sid). The old stable distribution (potato) is not affected since it doesn't contain a log2mail package.

We recommend that you upgrade your log2mail package.

Fixed in:

Debian GNU/Linux 3.0 (woody)

Intel IA-32:
Intel IA-64:
HP Precision:
Motorola 680x0:
Big endian MIPS:
Little endian MIPS:
IBM S/390:
Sun Sparc:

MD5 checksums of the listed files are available in the original advisory.